Debian Bug report logs - #525416
grub assigns wrong disk ids

Package: installation-reports; Maintainer for installation-reports is Debian Install Team <debian-boot@lists.debian.org>;

Reported by: Matteo Riva <muradin@gmail.com>

Date: Fri, 24 Apr 2009 12:18:01 UTC

Severity: normal

Done: Miguel Figueiredo <elmig@debianpt.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#525416; Package installation-reports. (Fri, 24 Apr 2009 12:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matteo Riva <muradin@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 24 Apr 2009 12:18:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matteo Riva <muradin@gmail.com>
To: submit@bugs.debian.org
Subject: grub assigns wrong disk ids
Date: Fri, 24 Apr 2009 14:04:16 +0200
Subject: installation-reports: grub assigns wrong disk ids
Package: installation-reports
Severity: normal

*** Please type your report below this line ***


-- Package-specific info:

Boot method: CD
Image version: http://cdimage.debian.org/cdimage/daily-builds/daily/arch-latest/amd64/iso-cd/debian-testing-amd64-netinst.iso
Apr 23 2009 build
Date: April 23, 2009

Machine: self assembled desktop: Intel Q6600 CPU, 4GB ram, 2 SATA
disks, 1 IDE disk, 1 SATA cd/dvd unit, RADEON HD
4870
Partitions:
nowhere:/home/teoss# fdisk -l

Disk /dev/sda: 160.0 GB, 160040803840 bytes
255 heads, 63 sectors/track, 19457 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0xda56da56

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1        6374    51199123+   7  HPFS/NTFS
/dev/sda2            6375       16100    78124095   83  Linux
/dev/sda3           16101       16343     1951897+  82  Linux swap / Solaris
/dev/sda4           16344       19457    25013205    5  Extended
/dev/sda5           16344       19457    25013173+  83  Linux

Disk /dev/sdb: 320.0 GB, 320071851520 bytes
255 heads, 63 sectors/track, 38913 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0xa0f8ff5d

   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1   *           1       38912   312560608+   7  HPFS/NTFS

Disk /dev/hda: 160.0 GB, 160041885696 bytes
255 heads, 63 sectors/track, 19457 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes
Disk identifier: 0xcc396c29

   Device Boot      Start         End      Blocks   Id  System
/dev/hda1   *           1       15805   126953631    7  HPFS/NTFS
/dev/hda2           15806       19457    29334690   83  Linux



Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [O]
Configure network:      [O]
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [O]
Install base system:    [O]
Clock/timezone setup:   [O]
User/password setup:    [O]
Install tasks:          [O]
Install boot loader:    [E]
Overall install:        [E]

Comments/Problems:
Had several problems. During graphic install, the process hanged after
deleting a partition. Had to switch to console and reboot the system.
Graphic install also had a display issue, with the top logo not being
shown - a "browser like" broken image icon was shown.

Text installation went almost fine: one small display glitch (window
text overlapping with <Go back> and <OK> "buttons").

Most annoying issue (__also present with Lenny version__) was the system
failing to give correct hard disks ids to grub. Explanation: the system
identified /dev/hda as first disk, /dev/sda as second, /dev/sdb as
third. On normal boot /dev/sda is hd0 which clearly broke grub setup.
Had to manually edit menu.lst to replace hd1 with hd0, would be nice to
have a "manually verify grub settings" option

The other major issue was with X displaying totally broken colors and
graphic on default setup with my HD 4870.  Installing fglrx drivers
fixed the problem, but the graphic system was unusable at start.


-- 

Please make sure that the hardware-summary log file, and any other
installation logs that you think would be useful are attached to this
report. Please compress large files using gzip.

Once you have filled out this report, mail it to submit@bugs.debian.org.

==============================================
Installer lsb-release:
==============================================
DISTRIB_ID=Debian
DISTRIB_DESCRIPTION="Debian GNU/Linux installer"
DISTRIB_RELEASE="6.0 (squeeze) - installer build 20090421-00:01"
X_INSTALLATION_MEDIUM=cdrom

==============================================
Installer hardware-summary:
==============================================
umame -a: Linux nowhere 2.6.26-2-amd64 #1 SMP Fri Mar 27 04:02:59 UTC
2009 x86_64 unknown
lspci -knn: 00:00.0 Host bridge [0600]: Intel Corporation
82G33/G31/P35/P31 Express DRAM Controller [8086:29c0] (rev 02)
lspci -knn: 	Subsystem: Giga-byte Technology Device [1458:5000]
lspci -knn: 00:01.0 PCI bridge [0604]: Intel Corporation
82G33/G31/P35/P31 Express PCI Express Root Port [8086:29c1] (rev 02)
lspci -knn: 	Kernel driver in use: pcieport-driver
lspci -knn: 00:1a.0 USB Controller [0c03]: Intel Corporation 82801I
(ICH9 Family) USB UHCI Controller #4 [8086:2937] (rev 02)
lspci -knn: 	Subsystem: Giga-byte Technology Device [1458:5004]
lspci -knn: 	Kernel driver in use: uhci_hcd
lspci -knn: 00:1a.1 USB Controller [0c03]: Intel Corporation 82801I
(ICH9 Family) USB UHCI Controller #5 [8086:2938] (rev 02)
lspci -knn: 	Subsystem: Giga-byte Technology Device [1458:5004]
lspci -knn: 	Kernel driver in use: uhci_hcd
lspci -knn: 00:1a.2 USB Controller [0c03]: Intel Corporation 82801I
(ICH9 Family) USB UHCI Controller #6 [8086:2939] (rev 02)
lspci -knn: 	Subsystem: Giga-byte Technology Device [1458:5004]
lspci -knn: 	Kernel driver in use: uhci_hcd
lspci -knn: 00:1a.7 USB Controller [0c03]: Intel Corporation 82801I
(ICH9 Family) USB2 EHCI Controller #2 [8086:293c] (rev 02)
lspci -knn: 	Subsystem: Giga-byte Technology Device [1458:5006]
lspci -knn: 	Kernel driver in use: ehci_hcd
lspci -knn: 00:1b.0 Audio device [0403]: Intel Corporation 82801I
(ICH9 Family) HD Audio Controller [8086:293e] (rev 02)
lspci -knn: 	Subsystem: Giga-byte Technology Device [1458:a002]
lspci -knn: 00:1c.0 PCI bridge [0604]: Intel Corporation 82801I (ICH9
Family) PCI Express Port 1 [8086:2940] (rev 02)
lspci -knn: 	Kernel driver in use: pcieport-driver
lspci -knn: 00:1c.3 PCI bridge [0604]: Intel Corporation 82801I (ICH9
Family) PCI Express Port 4 [8086:2946] (rev 02)
lspci -knn: 	Kernel driver in use: pcieport-driver
lspci -knn: 00:1c.4 PCI bridge [0604]: Intel Corporation 82801I (ICH9
Family) PCI Express Port 5 [8086:2948] (rev 02)
lspci -knn: 	Kernel driver in use: pcieport-driver
lspci -knn: 00:1d.0 USB Controller [0c03]: Intel Corporation 82801I
(ICH9 Family) USB UHCI Controller #1 [8086:2934] (rev 02)
lspci -knn: 	Subsystem: Giga-byte Technology Device [1458:5004]
lspci -knn: 	Kernel driver in use: uhci_hcd
lspci -knn: 00:1d.1 USB Controller [0c03]: Intel Corporation 82801I
(ICH9 Family) USB UHCI Controller #2 [8086:2935] (rev 02)
lspci -knn: 	Subsystem: Giga-byte Technology Device [1458:5004]
lspci -knn: 	Kernel driver in use: uhci_hcd
lspci -knn: 00:1d.2 USB Controller [0c03]: Intel Corporation 82801I
(ICH9 Family) USB UHCI Controller #3 [8086:2936] (rev 02)
lspci -knn: 	Subsystem: Giga-byte Technology Device [1458:5004]
lspci -knn: 	Kernel driver in use: uhci_hcd
lspci -knn: 00:1d.7 USB Controller [0c03]: Intel Corporation 82801I
(ICH9 Family) USB2 EHCI Controller #1 [8086:293a] (rev 02)
lspci -knn: 	Subsystem: Giga-byte Technology Device [1458:5006]
lspci -knn: 	Kernel driver in use: ehci_hcd
lspci -knn: 00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI
Bridge [8086:244e] (rev 92)
lspci -knn: 00:1f.0 ISA bridge [0601]: Intel Corporation 82801IR
(ICH9R) LPC Interface Controller [8086:2916] (rev 02)
lspci -knn: 	Subsystem: Giga-byte Technology Device [1458:5001]
lspci -knn: 00:1f.2 IDE interface [0101]: Intel Corporation
82801IR/IO/IH (ICH9R/DO/DH) 4 port SATA IDE Controller [8086:2920]
(rev 02)
lspci -knn: 	Subsystem: Giga-byte Technology Device [1458:b002]
lspci -knn: 	Kernel driver in use: ata_piix
lspci -knn: 00:1f.3 SMBus [0c05]: Intel Corporation 82801I (ICH9
Family) SMBus Controller [8086:2930] (rev 02)
lspci -knn: 	Subsystem: Giga-byte Technology Device [1458:5001]
lspci -knn: 00:1f.5 IDE interface [0101]: Intel Corporation 82801I
(ICH9 Family) 2 port SATA IDE Controller [8086:2926] (rev 02)
lspci -knn: 	Subsystem: Giga-byte Technology Device [1458:b002]
lspci -knn: 	Kernel driver in use: ata_piix
lspci -knn: 01:00.0 VGA compatible controller [0300]: ATI Technologies
Inc RV770 [Radeon HD 4870] [1002:9440]
lspci -knn: 	Subsystem: PC Partner Limited Device [174b:0851]
lspci -knn: 01:00.1 Audio device [0403]: ATI Technologies Inc HD48x0
audio [1002:aa30]
lspci -knn: 	Subsystem: PC Partner Limited Device [174b:aa30]
lspci -knn: 03:00.0 SATA controller [0106]: JMicron Technologies, Inc.
20360/20363 Serial ATA Controller [197b:2363] (rev 02)
lspci -knn: 	Subsystem: Giga-byte Technology Device [1458:b000]
lspci -knn: 	Kernel driver in use: ahci
lspci -knn: 03:00.1 IDE interface [0101]: JMicron Technologies, Inc.
20360/20363 Serial ATA Controller [197b:2363] (rev 02)
lspci -knn: 	Subsystem: Giga-byte Technology Device [1458:b000]
lspci -knn: 	Kernel driver in use: JMicron IDE
lspci -knn: 04:00.0 Ethernet controller [0200]: Realtek Semiconductor
Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller
[10ec:8168] (rev 01)
lspci -knn: 	Subsystem: Giga-byte Technology Device [1458:e000]
lspci -knn: 	Kernel driver in use: r8169
lsmod: Module                  Size  Used by
lsmod: ufs                    67848  0
lsmod: qnx4                   13576  0
lsmod: ntfs                  188416  0
lsmod: battery                16776  0
lsmod: dm_mod                 58864  0
lsmod: md_mod                 80164  0
lsmod: xfs                   475304  0
lsmod: reiserfs              210944  0
lsmod: jfs                   157904  0
lsmod: ext3                  124944  1
lsmod: jbd                    51240  1 ext3
lsmod: vfat                   14848  0
lsmod: fat                    50872  1 vfat
lsmod: ext2                   66448  0
lsmod: mbcache                12676  2 ext3,ext2
lsmod: r8169                  31492  0
lsmod: nls_utf8                6144  2
lsmod: isofs                  35496  0
lsmod: nls_base               12932  6 ntfs,jfs,vfat,fat,nls_utf8,isofs
lsmod: zlib_inflate           18688  1 isofs
lsmod: usb_storage            95040  0
lsmod: vga16fb                16408  2
lsmod: vgastate               12672  1 vga16fb
lsmod: fan                     9224  0
lsmod: sg                     36448  0
lsmod: sr_mod                 19396  0
lsmod: cdrom                  37800  1 sr_mod
lsmod: sd_mod                 29248  3
lsmod: ide_disk               16512  0
lsmod: usbhid                 45408  0
lsmod: hid                    41536  1 usbhid
lsmod: ff_memless              9224  1 usbhid
lsmod: parport_pc             30888  0
lsmod: parport                41520  1 parport_pc
lsmod: ahci                   32908  0
lsmod: ata_piix               22532  2
lsmod: libata                165344  2 ahci,ata_piix
lsmod: jmicron                 6784  0 [permanent]
lsmod: ide_core              127772  2 ide_disk,jmicron
lsmod: scsi_mod              160248  5 usb_storage,sg,sr_mod,sd_mod,libata
lsmod: dock                   13984  1 libata
lsmod: thermal                22688  0
lsmod: uhci_hcd               25632  0
lsmod: processor              42048  1 thermal
lsmod: thermal_sys            17600  3 fan,thermal,processor
lsmod: ehci_hcd               35980  0
df: Filesystem           1k-blocks      Used Available Use% Mounted on
df: tmpfs                  2031412       120   2031292   0% /dev
df: /dev/sda5             24620344   3621372  19748316  15% /target
df: /dev/sda5             24620344   3621372  19748316  15% /dev/.static/dev
df: tmpfs                  2031412       120   2031292   0% /target/dev
free:               total         used         free       shared      buffers
free:   Mem:      4062828      3597544       465284            0         1792
free:  Swap:      1951888            0      1951888
free: Total:      6014716      3597544      2417172
/proc/cmdline: vga=normal initrd=/install.amd/initrd.gz -- quiet
BOOT_IMAGE=/install.amd/vmlinuz
/proc/cpuinfo: processor	: 0
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 15
/proc/cpuinfo: model name	: Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz
/proc/cpuinfo: stepping	: 11
/proc/cpuinfo: cpu MHz		: 2399.998
/proc/cpuinfo: cache size	: 4096 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 4
/proc/cpuinfo: core id		: 0
/proc/cpuinfo: cpu cores	: 4
/proc/cpuinfo: apicid		: 0
/proc/cpuinfo: initial apicid	: 0
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 10
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep
mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht
tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni
monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr lahf_lm
/proc/cpuinfo: bogomips	: 4803.58
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 36 bits physical, 48 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo:
/proc/cpuinfo: processor	: 1
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 15
/proc/cpuinfo: model name	: Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz
/proc/cpuinfo: stepping	: 11
/proc/cpuinfo: cpu MHz		: 2399.998
/proc/cpuinfo: cache size	: 4096 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 4
/proc/cpuinfo: core id		: 3
/proc/cpuinfo: cpu cores	: 4
/proc/cpuinfo: apicid		: 3
/proc/cpuinfo: initial apicid	: 3
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 10
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep
mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht
tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni
monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr lahf_lm
/proc/cpuinfo: bogomips	: 4800.05
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 36 bits physical, 48 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo:
/proc/cpuinfo: processor	: 2
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 15
/proc/cpuinfo: model name	: Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz
/proc/cpuinfo: stepping	: 11
/proc/cpuinfo: cpu MHz		: 2399.998
/proc/cpuinfo: cache size	: 4096 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 4
/proc/cpuinfo: core id		: 2
/proc/cpuinfo: cpu cores	: 4
/proc/cpuinfo: apicid		: 2
/proc/cpuinfo: initial apicid	: 2
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 10
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep
mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht
tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni
monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr lahf_lm
/proc/cpuinfo: bogomips	: 4800.07
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 36 bits physical, 48 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo:
/proc/cpuinfo: processor	: 3
/proc/cpuinfo: vendor_id	: GenuineIntel
/proc/cpuinfo: cpu family	: 6
/proc/cpuinfo: model		: 15
/proc/cpuinfo: model name	: Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz
/proc/cpuinfo: stepping	: 11
/proc/cpuinfo: cpu MHz		: 2399.998
/proc/cpuinfo: cache size	: 4096 KB
/proc/cpuinfo: physical id	: 0
/proc/cpuinfo: siblings	: 4
/proc/cpuinfo: core id		: 1
/proc/cpuinfo: cpu cores	: 4
/proc/cpuinfo: apicid		: 1
/proc/cpuinfo: initial apicid	: 1
/proc/cpuinfo: fpu		: yes
/proc/cpuinfo: fpu_exception	: yes
/proc/cpuinfo: cpuid level	: 10
/proc/cpuinfo: wp		: yes
/proc/cpuinfo: flags		: fpu vme de pse tsc msr pae mce cx8 apic sep
mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht
tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good pni
monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr lahf_lm
/proc/cpuinfo: bogomips	: 4800.03
/proc/cpuinfo: clflush size	: 64
/proc/cpuinfo: cache_alignment	: 64
/proc/cpuinfo: address sizes	: 36 bits physical, 48 bits virtual
/proc/cpuinfo: power management:
/proc/cpuinfo:
/proc/ioports: 0000-001f : dma1
/proc/ioports: 0020-0021 : pic1
/proc/ioports: 0040-0043 : timer0
/proc/ioports: 0050-0053 : timer1
/proc/ioports: 0060-0060 : keyboard
/proc/ioports: 0064-0064 : keyboard
/proc/ioports: 0070-0073 : rtc0
/proc/ioports: 0080-008f : dma page reg
/proc/ioports: 00a0-00a1 : pic2
/proc/ioports: 00c0-00df : dma2
/proc/ioports: 00f0-00ff : fpu
/proc/ioports: 0290-029f : pnp 00:01
/proc/ioports:   0290-0294 : pnp 00:01
/proc/ioports: 0378-037a : parport0
/proc/ioports: 03c0-03df : vga+
/proc/ioports: 03f8-03ff : serial
/proc/ioports: 0400-047f : 0000:00:1f.0
/proc/ioports:   0400-0403 : ACPI PM1a_EVT_BLK
/proc/ioports:   0404-0405 : ACPI PM1a_CNT_BLK
/proc/ioports:   0408-040b : ACPI PM_TMR
/proc/ioports:   0410-0415 : ACPI CPU throttle
/proc/ioports:   0420-042f : ACPI GPE0_BLK
/proc/ioports: 0480-04bf : 0000:00:1f.0
/proc/ioports: 04d0-04d1 : pnp 00:01
/proc/ioports: 0500-051f : 0000:00:1f.3
/proc/ioports: 0800-087f : pnp 00:01
/proc/ioports: 0880-088f : pnp 00:01
/proc/ioports: 0cf8-0cff : PCI conf1
/proc/ioports: 8000-8fff : PCI Bus 0000:02
/proc/ioports: 9000-9fff : PCI Bus 0000:05
/proc/ioports: a000-afff : PCI Bus 0000:01
/proc/ioports:   a000-a0ff : 0000:01:00.0
/proc/ioports: b000-bfff : PCI Bus 0000:03
/proc/ioports:   b000-b007 : 0000:03:00.1
/proc/ioports:     b000-b007 : JMB
/proc/ioports:   b100-b103 : 0000:03:00.1
/proc/ioports:     b100-b103 : JMB
/proc/ioports:   b200-b207 : 0000:03:00.1
/proc/ioports:     b200-b207 : JMB
/proc/ioports:   b300-b303 : 0000:03:00.1
/proc/ioports:     b300-b303 : JMB
/proc/ioports:   b400-b40f : 0000:03:00.1
/proc/ioports:     b400-b40f : JMB
/proc/ioports: c000-cfff : PCI Bus 0000:04
/proc/ioports:   c000-c0ff : 0000:04:00.0
/proc/ioports:     c000-c0ff : r8169
/proc/ioports: d000-d01f : 0000:00:1a.2
/proc/ioports:   d000-d01f : uhci_hcd
/proc/ioports: d100-d11f : 0000:00:1a.0
/proc/ioports:   d100-d11f : uhci_hcd
/proc/ioports: d200-d21f : 0000:00:1a.1
/proc/ioports:   d200-d21f : uhci_hcd
/proc/ioports: d300-d31f : 0000:00:1d.0
/proc/ioports:   d300-d31f : uhci_hcd
/proc/ioports: d400-d41f : 0000:00:1d.1
/proc/ioports:   d400-d41f : uhci_hcd
/proc/ioports: d500-d51f : 0000:00:1d.2
/proc/ioports:   d500-d51f : uhci_hcd
/proc/ioports: d600-d607 : 0000:00:1f.2
/proc/ioports:   d600-d607 : ata_piix
/proc/ioports: d700-d703 : 0000:00:1f.2
/proc/ioports:   d700-d703 : ata_piix
/proc/ioports: d800-d807 : 0000:00:1f.2
/proc/ioports:   d800-d807 : ata_piix
/proc/ioports: d900-d903 : 0000:00:1f.2
/proc/ioports:   d900-d903 : ata_piix
/proc/ioports: da00-da0f : 0000:00:1f.2
/proc/ioports:   da00-da0f : ata_piix
/proc/ioports: db00-db0f : 0000:00:1f.2
/proc/ioports:   db00-db0f : ata_piix
/proc/ioports: dd00-dd07 : 0000:00:1f.5
/proc/ioports:   dd00-dd07 : ata_piix
/proc/ioports: de00-de03 : 0000:00:1f.5
/proc/ioports:   de00-de03 : ata_piix
/proc/ioports: df00-df07 : 0000:00:1f.5
/proc/ioports:   df00-df07 : ata_piix
/proc/ioports: e000-e003 : 0000:00:1f.5
/proc/ioports:   e000-e003 : ata_piix
/proc/ioports: e100-e10f : 0000:00:1f.5
/proc/ioports:   e100-e10f : ata_piix
/proc/ioports: e200-e20f : 0000:00:1f.5
/proc/ioports:   e200-e20f : ata_piix
/proc/iomem: 00000000-0009f7ff : System RAM
/proc/iomem: 0009f800-0009ffff : reserved
/proc/iomem: 000cf800-000cffff : pnp 00:0b
/proc/iomem: 000e0000-000effff : pnp 00:0b
/proc/iomem: 000f0000-000fffff : reserved
/proc/iomem: 00100000-dfedffff : System RAM
/proc/iomem:   00200000-0042c2e9 : Kernel code
/proc/iomem:   0042c2ea-0053a6f7 : Kernel data
/proc/iomem:   005de000-00673397 : Kernel bss
/proc/iomem: dfee0000-dfee2fff : ACPI Non-volatile Storage
/proc/iomem: dfee3000-dfeeffff : ACPI Tables
/proc/iomem: dfef0000-dfefffff : reserved
/proc/iomem: e0000000-efffffff : PCI Bus 0000:01
/proc/iomem:   e0000000-efffffff : 0000:01:00.0
/proc/iomem: f0000000-f3ffffff : PCI MMCONFIG 0
/proc/iomem:   f0000000-f3ffffff : reserved
/proc/iomem: f4000000-f5ffffff : PCI Bus 0000:01
/proc/iomem:   f4000000-f401ffff : 0000:01:00.0
/proc/iomem:   f5000000-f500ffff : 0000:01:00.0
/proc/iomem:   f5010000-f5013fff : 0000:01:00.1
/proc/iomem: f6000000-f7ffffff : PCI Bus 0000:04
/proc/iomem:   f7000000-f7000fff : 0000:04:00.0
/proc/iomem:     f7000000-f7000fff : r8169
/proc/iomem: f8000000-f80fffff : PCI Bus 0000:03
/proc/iomem:   f8000000-f8001fff : 0000:03:00.0
/proc/iomem:     f8000000-f8001fff : ahci
/proc/iomem: f8100000-f8103fff : 0000:00:1b.0
/proc/iomem: f8104000-f81043ff : 0000:00:1a.7
/proc/iomem:   f8104000-f81043ff : ehci_hcd
/proc/iomem: f8105000-f81053ff : 0000:00:1d.7
/proc/iomem:   f8105000-f81053ff : ehci_hcd
/proc/iomem: f8106000-f81060ff : 0000:00:1f.3
/proc/iomem: f8200000-f82fffff : PCI Bus 0000:04
/proc/iomem:   f8200000-f821ffff : 0000:04:00.0
/proc/iomem: fec00000-ffffffff : reserved
/proc/iomem:   fec00000-fec00fff : IOAPIC 0
/proc/iomem:   fed00000-fed003ff : HPET 0
/proc/iomem:   fee00000-fee00fff : Local APIC
/proc/iomem: 100000000-11fffffff : System RAM
/proc/interrupts:            CPU0       CPU1       CPU2       CPU3
/proc/interrupts:   0:         34          0          0          1
IO-APIC-edge      timer
/proc/interrupts:   1:          0          0          1          1
IO-APIC-edge      i8042
/proc/interrupts:   4:          1          0          0          0
IO-APIC-edge
/proc/interrupts:   7:          0          0          0          0
IO-APIC-edge      parport0
/proc/interrupts:   8:          1          0          0          0
IO-APIC-edge      rtc0
/proc/interrupts:   9:          0          0          0          0
IO-APIC-fasteoi   acpi
/proc/interrupts:  12:          1          1          0          1
IO-APIC-edge      i8042
/proc/interrupts:  16:       1120       1128       1127       1115
IO-APIC-fasteoi   uhci_hcd:usb2, ide0, ide1
/proc/interrupts:  18:        210        204        203        199
IO-APIC-fasteoi   ehci_hcd:usb1, uhci_hcd:usb4, uhci_hcd:usb8
/proc/interrupts:  19:      32199      32211      32162      32181
IO-APIC-fasteoi   uhci_hcd:usb7, ata_piix, ata_piix, ahci
/proc/interrupts:  21:          0          0          0          0
IO-APIC-fasteoi   uhci_hcd:usb3
/proc/interrupts:  23:          0          0          0          0
IO-APIC-fasteoi   ehci_hcd:usb5, uhci_hcd:usb6
/proc/interrupts: 1275:     275609     275597     275647     275643
PCI-MSI-edge      eth0
/proc/interrupts: NMI:          0          0          0          0
Non-maskable interrupts
/proc/interrupts: LOC:     103079      87628      82919      77691
Local timer interrupts
/proc/interrupts: RES:       3274       3035       2619       3369
Rescheduling interrupts
/proc/interrupts: CAL:       1160       1255       1296       1215
function call interrupts
/proc/interrupts: TLB:       7505       7624      16318      16136
TLB shootdowns
/proc/interrupts: TRM:          0          0          0          0
Thermal event interrupts
/proc/interrupts: THR:          0          0          0          0
Threshold APIC interrupts
/proc/interrupts: SPU:          0          0          0          0
Spurious interrupts
/proc/interrupts: ERR:          0
/proc/meminfo: MemTotal:      4062828 kB
/proc/meminfo: MemFree:        465356 kB
/proc/meminfo: Buffers:          1792 kB
/proc/meminfo: Cached:        3271184 kB
/proc/meminfo: SwapCached:          0 kB
/proc/meminfo: Active:         367832 kB
/proc/meminfo: Inactive:      2920648 kB
/proc/meminfo: SwapTotal:     1951888 kB
/proc/meminfo: SwapFree:      1951888 kB
/proc/meminfo: Dirty:            1060 kB
/proc/meminfo: Writeback:           0 kB
/proc/meminfo: AnonPages:       15552 kB
/proc/meminfo: Mapped:           2352 kB
/proc/meminfo: Slab:           275184 kB
/proc/meminfo: SReclaimable:   259036 kB
/proc/meminfo: SUnreclaim:      16148 kB
/proc/meminfo: PageTables:        668 kB
/proc/meminfo: NFS_Unstable:        0 kB
/proc/meminfo: Bounce:              0 kB
/proc/meminfo: WritebackTmp:        0 kB
/proc/meminfo: CommitLimit:   3983300 kB
/proc/meminfo: Committed_AS:    19244 kB
/proc/meminfo: VmallocTotal: 34359738367 kB
/proc/meminfo: VmallocUsed:     89196 kB
/proc/meminfo: VmallocChunk: 34359649063 kB
/proc/meminfo: HugePages_Total:     0
/proc/meminfo: HugePages_Free:      0
/proc/meminfo: HugePages_Rsvd:      0
/proc/meminfo: HugePages_Surp:      0
/proc/meminfo: Hugepagesize:     2048 kB
/proc/bus/input/devices: I: Bus=0017 Vendor=0001 Product=0001 Version=0100
/proc/bus/input/devices: N: Name="Macintosh mouse button emulation"
/proc/bus/input/devices: P: Phys=
/proc/bus/input/devices: S: Sysfs=/class/input/input0
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=mouse0
/proc/bus/input/devices: B: EV=7
/proc/bus/input/devices: B: KEY=70000 0 0 0 0
/proc/bus/input/devices: B: REL=3
/proc/bus/input/devices:
/proc/bus/input/devices: I: Bus=0003 Vendor=1532 Product=0007 Version=0111
/proc/bus/input/devices: N: Name="Razer DeathAdder"
/proc/bus/input/devices: P: Phys=usb-0000:00:1a.2-2/input0
/proc/bus/input/devices: S: Sysfs=/class/input/input1
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=mouse1
/proc/bus/input/devices: B: EV=17
/proc/bus/input/devices: B: KEY=ff0000 0 0 0 0
/proc/bus/input/devices: B: REL=103
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices:
/proc/bus/input/devices: I: Bus=0003 Vendor=046d Product=c221 Version=0110
/proc/bus/input/devices: N: Name="Logitech Logitech Gaming Keyboard"
/proc/bus/input/devices: P: Phys=usb-0000:00:1a.2-1.1/input0
/proc/bus/input/devices: S: Sysfs=/class/input/input2
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=kbd
/proc/bus/input/devices: B: EV=120013
/proc/bus/input/devices: B: KEY=1000000000007 ff800000000007ff
febeffdfffefffff fffffffffffffffe
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices: B: LED=1f
/proc/bus/input/devices:
/proc/bus/input/devices: I: Bus=0003 Vendor=046d Product=c221 Version=0110
/proc/bus/input/devices: N: Name="Logitech Logitech Gaming Keyboard"
/proc/bus/input/devices: P: Phys=usb-0000:00:1a.2-1.1/input1
/proc/bus/input/devices: S: Sysfs=/class/input/input3
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=kbd
/proc/bus/input/devices: B: EV=13
/proc/bus/input/devices: B: KEY=7800000000 e000000000000 0
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices:
/proc/bus/input/devices: I: Bus=0003 Vendor=046d Product=c222 Version=0111
/proc/bus/input/devices: N: Name="G15 Keyboard G15 Keyboard"
/proc/bus/input/devices: P: Phys=usb-0000:00:1a.2-1.4/input0
/proc/bus/input/devices: S: Sysfs=/class/input/input4
/proc/bus/input/devices: U: Uniq=
/proc/bus/input/devices: H: Handlers=kbd
/proc/bus/input/devices: B: EV=100013
/proc/bus/input/devices: B: KEY=1000000000007 ff980000000007ff
febeffdfffefffff fffffffffffffffe
/proc/bus/input/devices: B: MSC=10
/proc/bus/input/devices:

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#525416; Package installation-reports. (Fri, 24 Apr 2009 16:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@ossystems.com.br>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 24 Apr 2009 16:27:02 GMT) Full text and rfc822 format available.

Message #10 received at 525416@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@ossystems.com.br>
To: Matteo Riva <muradin@gmail.com>, 525416@bugs.debian.org, Robert Millan <rmh@aybabtu.com>
Subject: Re: Bug#525416: grub assigns wrong disk ids
Date: Fri, 24 Apr 2009 13:26:17 -0300
Hello Matteo,

On Fri, Apr 24, 2009 at 9:04 AM, Matteo Riva <muradin@gmail.com> wrote:
> Comments/Problems:
> Had several problems. During graphic install, the process hanged after
> deleting a partition. Had to switch to console and reboot the system.
> Graphic install also had a display issue, with the top logo not being
> shown - a "browser like" broken image icon was shown.

Could you please try to reproduce it again and grab your syslog and
send it (gziped) to this bug report? This could help us to properly
identify the issue and try to hunt this bug.

> Text installation went almost fine: one small display glitch (window
> text overlapping with <Go back> and <OK> "buttons").

This is a know issue and have been fixed. It would be nice if you
could test it again in few days since cdebconf is being build and then
we need it to get it deployed to the dailies. End of weekend should be
fine.

> Most annoying issue (__also present with Lenny version__) was the system
> failing to give correct hard disks ids to grub. Explanation: the system
> identified /dev/hda as first disk, /dev/sda as second, /dev/sdb as
> third. On normal boot /dev/sda is hd0 which clearly broke grub setup.
> Had to manually edit menu.lst to replace hd1 with hd0, would be nice to
> have a "manually verify grub settings" option

Robert, any idea why this happens? I've not followed the bugs in grub
so would be nice if you could comment on this.

> The other major issue was with X displaying totally broken colors and
> graphic on default setup with my HD 4870.  Installing fglrx drivers
> fixed the problem, but the graphic system was unusable at start.

I think you should report a bug against your video adapter driver;
since this is where it needs to be fixed. We can't do anything at
installer side to help on that.

-- 
Otavio Salvador                  O.S. Systems
E-mail: otavio@ossystems.com.br  http://www.ossystems.com.br
Mobile: +55 53 9981-7854         http://projetos.ossystems.com.br




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#525416; Package installation-reports. (Fri, 24 Apr 2009 17:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matteo Riva <muradin@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 24 Apr 2009 17:24:03 GMT) Full text and rfc822 format available.

Message #15 received at 525416@bugs.debian.org (full text, mbox):

From: Matteo Riva <muradin@gmail.com>
To: Otavio Salvador <otavio@ossystems.com.br>
Cc: 525416@bugs.debian.org, Robert Millan <rmh@aybabtu.com>
Subject: Re: Bug#525416: grub assigns wrong disk ids
Date: Fri, 24 Apr 2009 19:19:55 +0200
Hello Otavio,

>> Had several problems. During graphic install, the process hanged after
>> deleting a partition. Had to switch to console and reboot the system.
>> Graphic install also had a display issue, with the top logo not being
>> shown - a "browser like" broken image icon was shown.
>
> Could you please try to reproduce it again and grab your syslog and
> send it (gziped) to this bug report? This could help us to properly
> identify the issue and try to hunt this bug.

I will try again in a few days with a newer build.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#525416; Package installation-reports. (Fri, 24 Apr 2009 17:42:02 GMT) Full text and rfc822 format available.

Message #18 received at 525416@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: Otavio Salvador <otavio@ossystems.com.br>
Cc: Matteo Riva <muradin@gmail.com>, 525416@bugs.debian.org
Subject: Re: Bug#525416: grub assigns wrong disk ids
Date: Fri, 24 Apr 2009 19:39:23 +0200
On Fri, Apr 24, 2009 at 01:26:17PM -0300, Otavio Salvador wrote:
> > Most annoying issue (__also present with Lenny version__) was the system
> > failing to give correct hard disks ids to grub. Explanation: the system
> > identified /dev/hda as first disk, /dev/sda as second, /dev/sdb as
> > third. On normal boot /dev/sda is hd0 which clearly broke grub setup.
> > Had to manually edit menu.lst to replace hd1 with hd0, would be nice to
> > have a "manually verify grub settings" option
> 
> Robert, any idea why this happens? I've not followed the bugs in grub
> so would be nice if you could comment on this.

It happens because we're guessing how BIOS enumerates drives, which is bound
to break in situations like these.

The solution is to use UUIDs to identify the filesystems we want to access.  I
implemented UUID-based search paths for every disk access in the whole boot
process, just use GRUB 2 and it'll resolve this fine.

You might want to check for this specific case to enable GRUB 2, untill we're
ready to make it the default.

-- 
Robert Millan

  The DRM opt-in fallacy: "Your data belongs to us. We will decide when (and
  how) you may access your data; but nobody's threatening your freedom: we
  still allow you to remove your data and not access it at all."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#525416; Package installation-reports. (Fri, 24 Apr 2009 18:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matteo Riva <muradin@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Fri, 24 Apr 2009 18:12:05 GMT) Full text and rfc822 format available.

Message #23 received at 525416@bugs.debian.org (full text, mbox):

From: Matteo Riva <muradin@gmail.com>
To: Robert Millan <rmh@aybabtu.com>
Cc: Otavio Salvador <otavio@ossystems.com.br>, 525416@bugs.debian.org
Subject: Re: Bug#525416: grub assigns wrong disk ids
Date: Fri, 24 Apr 2009 20:00:41 +0200
On Fri, Apr 24, 2009 at 7:39 PM, Robert Millan <rmh@aybabtu.com> wrote:
> It happens because we're guessing how BIOS enumerates drives, which is bound
> to break in situations like these.
>
> The solution is to use UUIDs to identify the filesystems we want to access.  I
> implemented UUID-based search paths for every disk access in the whole boot
> process, just use GRUB 2 and it'll resolve this fine.

In any case I think an option to review what grub is going to do could
be useful. Aside from the problem mentioned, grub also grabbed info from
a backup partition I used for another distribution I was trying,
resulting in a grub menu with a lot of useless lines: it just added
everything it could find without asking. I apologize if there is some
option I missed.




Reply sent to Miguel Figueiredo <elmig@debianpt.org>:
You have taken responsibility. (Tue, 25 Jan 2011 01:24:04 GMT) Full text and rfc822 format available.

Notification sent to Matteo Riva <muradin@gmail.com>:
Bug acknowledged by developer. (Tue, 25 Jan 2011 01:24:04 GMT) Full text and rfc822 format available.

Message #28 received at 525416-done@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: 525416-done@bugs.debian.org
Date: Tue, 25 Jan 2011 01:20:43 +0000
Hi,

the grub-installer issue you report was fixed with the transition to grub2.
Please test and report against current debian installer release - squeeze rc2.

-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 22 Feb 2011 07:30:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:31:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.